package org.dromara.system.service;

import org.dromara.system.domain.bo.RoomBoQuery;
import org.dromara.system.domain.bo.RoomBoStr;
import org.dromara.system.domain.vo.RoomVo;
import org.dromara.system.domain.bo.RoomBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2024-12-13
 */
public interface IRoomService {

    /**
     * 查询【请填写功能名称】
     */
    RoomVo queryById(String roomId);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<RoomVo> queryPageList(RoomBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<RoomVo> queryList(RoomBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(RoomBoStr bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(RoomBoStr bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    //TableDataInfo<RoomVo> queryPage(RoomBoQuery bo, PageQuery pageQuery);
    TableDataInfo<RoomVo> queryPage(RoomBo bo, PageQuery pageQuery);

}
